# Marketing3Api

All URIs are relative to *https://rest.luxsci.com/perl/api/v2*, unless a hostname is provided ([see README](../README.md#documentation-for-api-endpoints))

Method | HTTP request | Description
------------- | ------------- | -------------
[**addCampaign**](Marketing3Api.md#addCampaign) | **POST** /user/{username}/marketing/campaigns | 
[**addContact**](Marketing3Api.md#addContact) | **POST** /user/{username}/marketing/contact | 
[**addContacts**](Marketing3Api.md#addContacts) | **POST** /user/{username}/marketing/contacts | 
[**addList**](Marketing3Api.md#addList) | **POST** /user/{username}/marketing/list | 
[**addListGroup**](Marketing3Api.md#addListGroup) | **PUT** /user/{username}/marketing/list_group/{list_group_id} | 
[**deleteCampaign**](Marketing3Api.md#deleteCampaign) | **DELETE** /user/{username}/marketing/campaign/{campaign_id} | 
[**deleteContact**](Marketing3Api.md#deleteContact) | **DELETE** /user/{username}/marketing/contact/{contact_id} | 
[**deleteList**](Marketing3Api.md#deleteList) | **DELETE** /user/{username}/marketing/list/{list_id} | 
[**deleteListGroup**](Marketing3Api.md#deleteListGroup) | **DELETE** /user/{username}/marketing/list_group/{list_group_id} | 
[**getCampaign**](Marketing3Api.md#getCampaign) | **GET** /user/{username}/marketing/campaign/{campaign_id} | 
[**getCampaigns**](Marketing3Api.md#getCampaigns) | **GET** /user/{username}/marketing/campaigns | 
[**getContact**](Marketing3Api.md#getContact) | **GET** /user/{username}/marketing/contact/{contact_id} | 
[**getContacts**](Marketing3Api.md#getContacts) | **GET** /user/{username}/marketing/contacts | 
[**getList**](Marketing3Api.md#getList) | **GET** /user/{username}/marketing/list/{list_id} | 
[**getListGroups**](Marketing3Api.md#getListGroups) | **GET** /user/{username}/marketing/list_groups | 
[**getLists**](Marketing3Api.md#getLists) | **GET** /user/{username}/marketing/lists | 
[**getReportBounced**](Marketing3Api.md#getReportBounced) | **GET** /user/{username}/marketing/report/bounced | 
[**getReportClicked**](Marketing3Api.md#getReportClicked) | **GET** /user/{username}/marketing/report/clicked | 
[**getReportComplaints**](Marketing3Api.md#getReportComplaints) | **GET** /user/{username}/marketing/report/complaints | 
[**getReportLogs**](Marketing3Api.md#getReportLogs) | **GET** /user/{username}/marketing/report/logs | 
[**getReportOpened**](Marketing3Api.md#getReportOpened) | **GET** /user/{username}/marketing/report/opened | 
[**getReportUnsubscribed**](Marketing3Api.md#getReportUnsubscribed) | **GET** /user/{username}/marketing/report/unsubscribed | 
[**getReportUrls**](Marketing3Api.md#getReportUrls) | **GET** /user/{username}/marketing/report/urls | 
[**updateCampaign**](Marketing3Api.md#updateCampaign) | **PUT** /user/{username}/marketing/campaign/{campaign_id} | 
[**updateContact**](Marketing3Api.md#updateContact) | **PUT** /user/{username}/marketing/contact/{contact_id} | 
[**updateList**](Marketing3Api.md#updateList) | **PUT** /user/{username}/marketing/list/{list_id} | 
[**updateListGroup**](Marketing3Api.md#updateListGroup) | **POST** /user/{username}/marketing/list_group/{list_group_id} | 

<a name="addCampaign"></a>
# **addCampaign**
> InlineResponse20042 addCampaign(username, body, cookie)



Add New Campaign. {{ACL: User Marketing - Campaign Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.Marketing3Api;


Marketing3Api apiInstance = new Marketing3Api();
String username = "username_example"; // String | 
SM3CampaignPOSTBody body = new SM3CampaignPOSTBody(); // SM3CampaignPOSTBody | 
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20042 result = apiInstance.addCampaign(username, body, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling Marketing3Api#addCampaign");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**|  |
 **body** | [**SM3CampaignPOSTBody**](SM3CampaignPOSTBody.md)|  | [optional]
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20042**](InlineResponse20042.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="addContact"></a>
# **addContact**
> InlineResponse20040 addContact(username, body, cookie)



Add New Contact List. {{ACL: User Marketing - Contact Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.Marketing3Api;


Marketing3Api apiInstance = new Marketing3Api();
String username = "username_example"; // String | 
Map<String, String> body = new Map(); // Map<String, String> | 
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20040 result = apiInstance.addContact(username, body, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling Marketing3Api#addContact");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**|  |
 **body** | [**Map&lt;String, String&gt;**](Map.md)|  | [optional]
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20040**](InlineResponse20040.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="addContacts"></a>
# **addContacts**
> InlineResponse20039 addContacts(body, username, cookie)



Add New Contacts in Bulk. {{ACL: User Marketing - Contact Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.Marketing3Api;


Marketing3Api apiInstance = new Marketing3Api();
Object body = null; // Object | An array of JSON objects containing Contact properties.
String username = "username_example"; // String | 
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20039 result = apiInstance.addContacts(body, username, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling Marketing3Api#addContacts");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**Object**](Object.md)| An array of JSON objects containing Contact properties. |
 **username** | **String**|  |
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20039**](InlineResponse20039.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="addList"></a>
# **addList**
> InlineResponse20035 addList(body, username, cookie)



Add New Contact List. {{ACL: User Marketing - List Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.Marketing3Api;


Marketing3Api apiInstance = new Marketing3Api();
SM3ListBody body = new SM3ListBody(); // SM3ListBody | A JSON object containing List properties.
String username = "username_example"; // String | 
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20035 result = apiInstance.addList(body, username, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling Marketing3Api#addList");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**SM3ListBody**](SM3ListBody.md)| A JSON object containing List properties. |
 **username** | **String**|  |
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20035**](InlineResponse20035.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="addListGroup"></a>
# **addListGroup**
> InlineResponse20037 addListGroup(username, body, cookie)



Create a new email list group. {{ACL: Marketing - List Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.Marketing3Api;


Marketing3Api apiInstance = new Marketing3Api();
String username = "username_example"; // String | 
ListGroupListGroupIdBody body = new ListGroupListGroupIdBody(); // ListGroupListGroupIdBody | 
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20037 result = apiInstance.addListGroup(username, body, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling Marketing3Api#addListGroup");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**|  |
 **body** | [**ListGroupListGroupIdBody**](ListGroupListGroupIdBody.md)|  | [optional]
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20037**](InlineResponse20037.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="deleteCampaign"></a>
# **deleteCampaign**
> InlineResponse201 deleteCampaign(username, campaignId, cookie)



Delete a campaign.  Note that deleing a campaign will also delete logs and statistics and other data related to that campaign. {{ACL: Marketing - Campaign Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.Marketing3Api;


Marketing3Api apiInstance = new Marketing3Api();
String username = "username_example"; // String | 
String campaignId = "campaignId_example"; // String | Campaign Id.
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse201 result = apiInstance.deleteCampaign(username, campaignId, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling Marketing3Api#deleteCampaign");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**|  |
 **campaignId** | **String**| Campaign Id. |
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="deleteContact"></a>
# **deleteContact**
> InlineResponse201 deleteContact(username, contactId, cookie)



Delete a contact. {{ACL: Marketing - Contact Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.Marketing3Api;


Marketing3Api apiInstance = new Marketing3Api();
String username = "username_example"; // String | 
String contactId = "contactId_example"; // String | List Id.
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse201 result = apiInstance.deleteContact(username, contactId, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling Marketing3Api#deleteContact");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**|  |
 **contactId** | **String**| List Id. |
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="deleteList"></a>
# **deleteList**
> InlineResponse201 deleteList(username, id, contactsOnly, cookie)



Note: deleting a contact list will delete any contacts in that list. {{ACL: Marketing - List Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.Marketing3Api;


Marketing3Api apiInstance = new Marketing3Api();
String username = "username_example"; // String | 
String id = "id_example"; // String | List Id.
Integer contactsOnly = 56; // Integer | If passed and true, this call will delete all contacts in the list, but the list itself will not be deleted.
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse201 result = apiInstance.deleteList(username, id, contactsOnly, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling Marketing3Api#deleteList");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**|  |
 **id** | **String**| List Id. |
 **contactsOnly** | **Integer**| If passed and true, this call will delete all contacts in the list, but the list itself will not be deleted. | [optional]
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="deleteListGroup"></a>
# **deleteListGroup**
> InlineResponse2003 deleteListGroup(username, listGroupId, cookie)



Delete a specific email list group.  {{ACL: Marketing - List Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.Marketing3Api;


Marketing3Api apiInstance = new Marketing3Api();
String username = "username_example"; // String | 
String listGroupId = "listGroupId_example"; // String | Unique Id for this list group.
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse2003 result = apiInstance.deleteListGroup(username, listGroupId, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling Marketing3Api#deleteListGroup");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**|  |
 **listGroupId** | **String**| Unique Id for this list group. |
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse2003**](InlineResponse2003.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getCampaign"></a>
# **getCampaign**
> InlineResponse20043 getCampaign(username, campaignId, cookie)



Return details about the specified Campaign. {{ACL: User: Marketing - Campaign Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.Marketing3Api;


Marketing3Api apiInstance = new Marketing3Api();
String username = "username_example"; // String | 
Integer campaignId = 56; // Integer | Campaign id for the specific campaign you want details for.
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20043 result = apiInstance.getCampaign(username, campaignId, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling Marketing3Api#getCampaign");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**|  |
 **campaignId** | **Integer**| Campaign id for the specific campaign you want details for. |
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20043**](InlineResponse20043.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getCampaigns"></a>
# **getCampaigns**
> InlineResponse20034 getCampaigns(username, userId, status, cookie, useDate, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername)



Return summary data of all visible Campaigns. The Campaign creation date is used with date matching criteria. See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response.](/rest-api/report-responses.html#sm3_campaigns) {{ACL: User: Marketing - Reporting}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.Marketing3Api;


Marketing3Api apiInstance = new Marketing3Api();
String username = "username_example"; // String | 
Integer userId = 56; // Integer | Select campaigns owned by the given user ID.
String status = "status_example"; // String | Campaign Status Enum.
String cookie = null; // String (optional. can leave as null) | 
String useDate = "created"; // String | This report uses the Campaign created date by default for all date-related filtering and sorting.  Set this parameter to \"modified\" to instead used the modified date.  Set it to \"send_at\" to use the date/time that the Campaign is scheduled to be sent.  Any other value passed in this parameter will cause the \"created\" date to be used.
String afterDate = "afterDate_example"; // String | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT
String beforeDate = "beforeDate_example"; // String | DATETIME. Return only matches dated before this date time.
Integer firstRow = 0; // Integer | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999.
String fromDate = "fromDate_example"; // String | DATETIME. Return only matches dated on or after this date time.
Integer matches = 50000; // Integer | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets.
String throughDate = "throughDate_example"; // String | DATETIME. Return only matches dated before or on this date time.
String destination = "destination_example"; // String | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout -- uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance.
String destinationDirectory = "destinationDirectory_example"; // String | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command.
String destinationHostname = "destinationHostname_example"; // String | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded.
String destinationPassword = "destinationPassword_example"; // String | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded.
String destinationUsername = "destinationUsername_example"; // String | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded.
try {
    InlineResponse20034 result = apiInstance.getCampaigns(username, userId, status, cookie, useDate, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling Marketing3Api#getCampaigns");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**|  |
 **userId** | **Integer**| Select campaigns owned by the given user ID. | [optional]
 **status** | **String**| Campaign Status Enum. | [optional] [enum: scheduled, paused, staging, sending, queued, complete, running, failed]
 **cookie** | **String**|  | [optional]
 **useDate** | **String**| This report uses the Campaign created date by default for all date-related filtering and sorting.  Set this parameter to \&quot;modified\&quot; to instead used the modified date.  Set it to \&quot;send_at\&quot; to use the date/time that the Campaign is scheduled to be sent.  Any other value passed in this parameter will cause the \&quot;created\&quot; date to be used. | [optional] [default to created] [enum: created, modified, send_at]
 **afterDate** | **String**| DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]
 **beforeDate** | **String**| DATETIME. Return only matches dated before this date time. | [optional]
 **firstRow** | **Integer**| (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] [enum: ]
 **fromDate** | **String**| DATETIME. Return only matches dated on or after this date time. | [optional]
 **matches** | **Integer**| (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] [enum: ]
 **throughDate** | **String**| DATETIME. Return only matches dated before or on this date time. | [optional]
 **destination** | **String**| For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout -- uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]
 **destinationDirectory** | **String**| For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]
 **destinationHostname** | **String**| For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]
 **destinationPassword** | **String**| For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]
 **destinationUsername** | **String**| For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]

### Return type

[**InlineResponse20034**](InlineResponse20034.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getContact"></a>
# **getContact**
> InlineResponse20041 getContact(username, contactId, details, cookie)



Return the specified Contact. {{ACL: Marketing - Contact Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.Marketing3Api;


Marketing3Api apiInstance = new Marketing3Api();
String username = "username_example"; // String | 
Integer contactId = 56; // Integer | Contact id for the specific contact list you want details for.
Integer details = 56; // Integer | If details=1 (default) return custom fields.
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20041 result = apiInstance.getContact(username, contactId, details, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling Marketing3Api#getContact");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**|  |
 **contactId** | **Integer**| Contact id for the specific contact list you want details for. |
 **details** | **Integer**| If details&#x3D;1 (default) return custom fields. | [optional]
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20041**](InlineResponse20041.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getContacts"></a>
# **getContacts**
> InlineResponse20034 getContacts(username, useDate, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, listId, segmentId, details, cookie)



Return all Contacts in the specified List.  If no list is specified, then all contacts across all lists will be returned.  The contact creation date is used with date matching criteria. See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response.](/rest-api/report-responses.html#sm3_contacts) {{ACL: Marketing - Reports}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.Marketing3Api;


Marketing3Api apiInstance = new Marketing3Api();
String username = "username_example"; // String | 
String useDate = "created"; // String | This report uses the created date by default for all date-related filtering and sorting.  Set this parameter to \"modified\" to instead used the modified date. Any other value passed in this parameter will cause the \"created\" date to be used.
String afterDate = "afterDate_example"; // String | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT
String beforeDate = "beforeDate_example"; // String | DATETIME. Return only matches dated before this date time.
Integer firstRow = 0; // Integer | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999.
String fromDate = "fromDate_example"; // String | DATETIME. Return only matches dated on or after this date time.
Integer matches = 50000; // Integer | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets.
String throughDate = "throughDate_example"; // String | DATETIME. Return only matches dated before or on this date time.
String destination = "destination_example"; // String | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout -- uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance.
String destinationDirectory = "destinationDirectory_example"; // String | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command.
String destinationHostname = "destinationHostname_example"; // String | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded.
String destinationPassword = "destinationPassword_example"; // String | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded.
String destinationUsername = "destinationUsername_example"; // String | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded.
Integer listId = 56; // Integer | List id to get all contacts in a specific List. If this is omitted, then all contacts across all Lists will be returned.
Integer segmentId = 56; // Integer | Segment id to get all contacts in a specific Segment.  Note that you can specify both a segment_id and a list_id to get contacts in a specific List that are also in a specific Segment.
Integer details = 56; // Integer | Whe nset to true (1), data for all custom fields will also be included in the response.
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20034 result = apiInstance.getContacts(username, useDate, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, listId, segmentId, details, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling Marketing3Api#getContacts");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**|  |
 **useDate** | **String**| This report uses the created date by default for all date-related filtering and sorting.  Set this parameter to \&quot;modified\&quot; to instead used the modified date. Any other value passed in this parameter will cause the \&quot;created\&quot; date to be used. | [optional] [default to created] [enum: created, modified]
 **afterDate** | **String**| DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]
 **beforeDate** | **String**| DATETIME. Return only matches dated before this date time. | [optional]
 **firstRow** | **Integer**| (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] [enum: ]
 **fromDate** | **String**| DATETIME. Return only matches dated on or after this date time. | [optional]
 **matches** | **Integer**| (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] [enum: ]
 **throughDate** | **String**| DATETIME. Return only matches dated before or on this date time. | [optional]
 **destination** | **String**| For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout -- uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]
 **destinationDirectory** | **String**| For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]
 **destinationHostname** | **String**| For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]
 **destinationPassword** | **String**| For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]
 **destinationUsername** | **String**| For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]
 **listId** | **Integer**| List id to get all contacts in a specific List. If this is omitted, then all contacts across all Lists will be returned. | [optional]
 **segmentId** | **Integer**| Segment id to get all contacts in a specific Segment.  Note that you can specify both a segment_id and a list_id to get contacts in a specific List that are also in a specific Segment. | [optional]
 **details** | **Integer**| Whe nset to true (1), data for all custom fields will also be included in the response. | [optional]
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20034**](InlineResponse20034.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getList"></a>
# **getList**
> InlineResponse20036 getList(username, listId, cookie)



Return details about the specified Contact List. {{ACL: Marketing - List Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.Marketing3Api;


Marketing3Api apiInstance = new Marketing3Api();
String username = "username_example"; // String | 
Integer listId = 56; // Integer | List id for the specific contact list you want details for.
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20036 result = apiInstance.getList(username, listId, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling Marketing3Api#getList");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**|  |
 **listId** | **Integer**| List id for the specific contact list you want details for. |
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20036**](InlineResponse20036.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getListGroups"></a>
# **getListGroups**
> InlineResponse20038 getListGroups(username, cookie)



This function returns a list of all lists groups accessible to you.  {{ACL: Marketing - List Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.Marketing3Api;


Marketing3Api apiInstance = new Marketing3Api();
String username = "username_example"; // String | 
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20038 result = apiInstance.getListGroups(username, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling Marketing3Api#getListGroups");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**|  |
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20038**](InlineResponse20038.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getLists"></a>
# **getLists**
> InlineResponse20034 getLists(username, listGroupId, cookie, useDate, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername)



Return all Contact Lists. The list creation date is used with date matching criteria. See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response.](/rest-api/report-responses.html#sm3_lists) {{ACL: Marketing - Reports}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.Marketing3Api;


Marketing3Api apiInstance = new Marketing3Api();
String username = "username_example"; // String | 
Integer listGroupId = 56; // Integer | Group id getting all lists in a specific group
String cookie = null; // String (optional. can leave as null) | 
String useDate = "created"; // String | This report uses the created date by default for all date-related filtering and sorting.  Set this parameter to \"modified\" to instead used the modified date. Any other value passed in this parameter will cause the \"created\" date to be used.
String afterDate = "afterDate_example"; // String | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT
String beforeDate = "beforeDate_example"; // String | DATETIME. Return only matches dated before this date time.
Integer firstRow = 0; // Integer | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999.
String fromDate = "fromDate_example"; // String | DATETIME. Return only matches dated on or after this date time.
Integer matches = 50000; // Integer | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets.
String throughDate = "throughDate_example"; // String | DATETIME. Return only matches dated before or on this date time.
String destination = "destination_example"; // String | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout -- uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance.
String destinationDirectory = "destinationDirectory_example"; // String | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command.
String destinationHostname = "destinationHostname_example"; // String | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded.
String destinationPassword = "destinationPassword_example"; // String | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded.
String destinationUsername = "destinationUsername_example"; // String | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded.
try {
    InlineResponse20034 result = apiInstance.getLists(username, listGroupId, cookie, useDate, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling Marketing3Api#getLists");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**|  |
 **listGroupId** | **Integer**| Group id getting all lists in a specific group | [optional]
 **cookie** | **String**|  | [optional]
 **useDate** | **String**| This report uses the created date by default for all date-related filtering and sorting.  Set this parameter to \&quot;modified\&quot; to instead used the modified date. Any other value passed in this parameter will cause the \&quot;created\&quot; date to be used. | [optional] [default to created] [enum: created, modified]
 **afterDate** | **String**| DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]
 **beforeDate** | **String**| DATETIME. Return only matches dated before this date time. | [optional]
 **firstRow** | **Integer**| (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] [enum: ]
 **fromDate** | **String**| DATETIME. Return only matches dated on or after this date time. | [optional]
 **matches** | **Integer**| (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] [enum: ]
 **throughDate** | **String**| DATETIME. Return only matches dated before or on this date time. | [optional]
 **destination** | **String**| For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout -- uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]
 **destinationDirectory** | **String**| For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]
 **destinationHostname** | **String**| For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]
 **destinationPassword** | **String**| For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]
 **destinationUsername** | **String**| For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]

### Return type

[**InlineResponse20034**](InlineResponse20034.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getReportBounced"></a>
# **getReportBounced**
> InlineResponse20034 getReportBounced(username, campaignIds, detail, email, domain, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername)



Return bounce data/email delivery failure data of all selected Campaigns. Uses delivery_status_updated as the date matching criteria. See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response.](/rest-api/report-responses.html#sm3_campaign_report_bounces) {{ACL: User: Marketing - Reporting}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.Marketing3Api;


Marketing3Api apiInstance = new Marketing3Api();
String username = "username_example"; // String | 
String campaignIds = "campaignIds_example"; // String | Select campaigns as string of comma-separated campaign ids.  If omitted, all campaigns are selected.
String detail = "detail_example"; // String | Boolean.  If 1, include the values of all Contact Custom Fields in the report. Default is 0.
String email = "email_example"; // String | Filter results by matching any Contact email address containing the given string.
String domain = "domain_example"; // String | Filter results by matching any Contact email address in a domain name containing the given string.
String cookie = null; // String (optional. can leave as null) | 
String afterDate = "afterDate_example"; // String | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT
String beforeDate = "beforeDate_example"; // String | DATETIME. Return only matches dated before this date time.
Integer firstRow = 0; // Integer | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999.
String fromDate = "fromDate_example"; // String | DATETIME. Return only matches dated on or after this date time.
Integer matches = 50000; // Integer | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets.
String throughDate = "throughDate_example"; // String | DATETIME. Return only matches dated before or on this date time.
String destination = "destination_example"; // String | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout -- uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance.
String destinationDirectory = "destinationDirectory_example"; // String | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command.
String destinationHostname = "destinationHostname_example"; // String | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded.
String destinationPassword = "destinationPassword_example"; // String | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded.
String destinationUsername = "destinationUsername_example"; // String | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded.
try {
    InlineResponse20034 result = apiInstance.getReportBounced(username, campaignIds, detail, email, domain, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling Marketing3Api#getReportBounced");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**|  |
 **campaignIds** | **String**| Select campaigns as string of comma-separated campaign ids.  If omitted, all campaigns are selected. | [optional]
 **detail** | **String**| Boolean.  If 1, include the values of all Contact Custom Fields in the report. Default is 0. | [optional]
 **email** | **String**| Filter results by matching any Contact email address containing the given string. | [optional]
 **domain** | **String**| Filter results by matching any Contact email address in a domain name containing the given string. | [optional]
 **cookie** | **String**|  | [optional]
 **afterDate** | **String**| DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]
 **beforeDate** | **String**| DATETIME. Return only matches dated before this date time. | [optional]
 **firstRow** | **Integer**| (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] [enum: ]
 **fromDate** | **String**| DATETIME. Return only matches dated on or after this date time. | [optional]
 **matches** | **Integer**| (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] [enum: ]
 **throughDate** | **String**| DATETIME. Return only matches dated before or on this date time. | [optional]
 **destination** | **String**| For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout -- uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]
 **destinationDirectory** | **String**| For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]
 **destinationHostname** | **String**| For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]
 **destinationPassword** | **String**| For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]
 **destinationUsername** | **String**| For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]

### Return type

[**InlineResponse20034**](InlineResponse20034.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getReportClicked"></a>
# **getReportClicked**
> InlineResponse20034 getReportClicked(username, campaignIds, useDate, detail, email, domain, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername)



Return click data of all selected Campaigns. The click date is used with date matching criteria unless the \&quot;use_date\&quot; parameter is set to \&quot;sent\&quot;. See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response.](/rest-api/report-responses.html#sm3_campaign_report_clicked) {{ACL: User: Marketing - Reporting}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.Marketing3Api;


Marketing3Api apiInstance = new Marketing3Api();
String username = "username_example"; // String | 
String campaignIds = "campaignIds_example"; // String | Select campaigns as string of comma-separated campaign ids.  If omitted, all campaigns are selected.
String useDate = "useDate_example"; // String | If set to \"sent\", use the date the message was sent, instead of the date of the open event, for date selections.
String detail = "detail_example"; // String | Boolean.  If 1, include the values of all Contact Custom Fields in the report. Default is 0.
String email = "email_example"; // String | Filter results by matching any Contact email address containing the given string.
String domain = "domain_example"; // String | Filter results by matching any Contact email address in a domain name containing the given string.
String cookie = null; // String (optional. can leave as null) | 
String afterDate = "afterDate_example"; // String | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT
String beforeDate = "beforeDate_example"; // String | DATETIME. Return only matches dated before this date time.
Integer firstRow = 0; // Integer | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999.
String fromDate = "fromDate_example"; // String | DATETIME. Return only matches dated on or after this date time.
Integer matches = 50000; // Integer | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets.
String throughDate = "throughDate_example"; // String | DATETIME. Return only matches dated before or on this date time.
String destination = "destination_example"; // String | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout -- uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance.
String destinationDirectory = "destinationDirectory_example"; // String | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command.
String destinationHostname = "destinationHostname_example"; // String | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded.
String destinationPassword = "destinationPassword_example"; // String | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded.
String destinationUsername = "destinationUsername_example"; // String | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded.
try {
    InlineResponse20034 result = apiInstance.getReportClicked(username, campaignIds, useDate, detail, email, domain, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling Marketing3Api#getReportClicked");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**|  |
 **campaignIds** | **String**| Select campaigns as string of comma-separated campaign ids.  If omitted, all campaigns are selected. | [optional]
 **useDate** | **String**| If set to \&quot;sent\&quot;, use the date the message was sent, instead of the date of the open event, for date selections. | [optional]
 **detail** | **String**| Boolean.  If 1, include the values of all Contact Custom Fields in the report. Default is 0. | [optional]
 **email** | **String**| Filter results by matching any Contact email address containing the given string. | [optional]
 **domain** | **String**| Filter results by matching any Contact email address in a domain name containing the given string. | [optional]
 **cookie** | **String**|  | [optional]
 **afterDate** | **String**| DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]
 **beforeDate** | **String**| DATETIME. Return only matches dated before this date time. | [optional]
 **firstRow** | **Integer**| (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] [enum: ]
 **fromDate** | **String**| DATETIME. Return only matches dated on or after this date time. | [optional]
 **matches** | **Integer**| (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] [enum: ]
 **throughDate** | **String**| DATETIME. Return only matches dated before or on this date time. | [optional]
 **destination** | **String**| For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout -- uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]
 **destinationDirectory** | **String**| For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]
 **destinationHostname** | **String**| For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]
 **destinationPassword** | **String**| For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]
 **destinationUsername** | **String**| For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]

### Return type

[**InlineResponse20034**](InlineResponse20034.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getReportComplaints"></a>
# **getReportComplaints**
> InlineResponse20034 getReportComplaints(username, campaignIds, useDate, detail, email, domain, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername)



Return spam complaint data from all selected Campaigns. The message delivery status updated date is used by default for date selections, unless \&quot;use_date\&quot; is set to \&quot;sent\&quot;. See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response.](/rest-api/report-responses.html#sm3_campaign_report_complaints) {{ACL: User: Marketing - Reporting}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.Marketing3Api;


Marketing3Api apiInstance = new Marketing3Api();
String username = "username_example"; // String | 
String campaignIds = "campaignIds_example"; // String | Select campaigns as string of comma-separated campaign ids.  If omitted, all campaigns are selected.
String useDate = "useDate_example"; // String | If set to \"sent\", use the date the message was sent, instead of the date of the open event, for date selections.
String detail = "detail_example"; // String | Boolean.  If 1, include the values of all Contact Custom Fields in the report. Default is 0.
String email = "email_example"; // String | Filter results by matching any Contact email address containing the given string.
String domain = "domain_example"; // String | Filter results by matching any Contact email address in a domain name containing the given string.
String cookie = null; // String (optional. can leave as null) | 
String afterDate = "afterDate_example"; // String | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT
String beforeDate = "beforeDate_example"; // String | DATETIME. Return only matches dated before this date time.
Integer firstRow = 0; // Integer | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999.
String fromDate = "fromDate_example"; // String | DATETIME. Return only matches dated on or after this date time.
Integer matches = 50000; // Integer | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets.
String throughDate = "throughDate_example"; // String | DATETIME. Return only matches dated before or on this date time.
String destination = "destination_example"; // String | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout -- uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance.
String destinationDirectory = "destinationDirectory_example"; // String | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command.
String destinationHostname = "destinationHostname_example"; // String | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded.
String destinationPassword = "destinationPassword_example"; // String | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded.
String destinationUsername = "destinationUsername_example"; // String | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded.
try {
    InlineResponse20034 result = apiInstance.getReportComplaints(username, campaignIds, useDate, detail, email, domain, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling Marketing3Api#getReportComplaints");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**|  |
 **campaignIds** | **String**| Select campaigns as string of comma-separated campaign ids.  If omitted, all campaigns are selected. | [optional]
 **useDate** | **String**| If set to \&quot;sent\&quot;, use the date the message was sent, instead of the date of the open event, for date selections. | [optional]
 **detail** | **String**| Boolean.  If 1, include the values of all Contact Custom Fields in the report. Default is 0. | [optional]
 **email** | **String**| Filter results by matching any Contact email address containing the given string. | [optional]
 **domain** | **String**| Filter results by matching any Contact email address in a domain name containing the given string. | [optional]
 **cookie** | **String**|  | [optional]
 **afterDate** | **String**| DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]
 **beforeDate** | **String**| DATETIME. Return only matches dated before this date time. | [optional]
 **firstRow** | **Integer**| (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] [enum: ]
 **fromDate** | **String**| DATETIME. Return only matches dated on or after this date time. | [optional]
 **matches** | **Integer**| (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] [enum: ]
 **throughDate** | **String**| DATETIME. Return only matches dated before or on this date time. | [optional]
 **destination** | **String**| For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout -- uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]
 **destinationDirectory** | **String**| For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]
 **destinationHostname** | **String**| For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]
 **destinationPassword** | **String**| For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]
 **destinationUsername** | **String**| For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]

### Return type

[**InlineResponse20034**](InlineResponse20034.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getReportLogs"></a>
# **getReportLogs**
> InlineResponse20034 getReportLogs(username, campaignIds, detail, email, domain, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername)



Return sending log data of all selected Campaigns.  This includes all metadata for each recipient, including the delivery status, open status, click staus, etc.  The delivery status last updated date is used with date matching criteria. See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response.](/rest-api/report-responses.html#sm3_campaign_report_logs) {{ACL: User: Marketing - Reporting}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.Marketing3Api;


Marketing3Api apiInstance = new Marketing3Api();
String username = "username_example"; // String | 
String campaignIds = "campaignIds_example"; // String | Select campaigns as string of comma-separated campaign ids. If omitted, all campaigns are selected.
String detail = "detail_example"; // String | Boolean.  If 1, include the values of all Contact Custom Fields in the report. Default is 0.
String email = "email_example"; // String | Filter results by matching any Contact email address containing the given string.
String domain = "domain_example"; // String | Filter results by matching any Contact email address in a domain name containing the given string.
String cookie = null; // String (optional. can leave as null) | 
String afterDate = "afterDate_example"; // String | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT
String beforeDate = "beforeDate_example"; // String | DATETIME. Return only matches dated before this date time.
Integer firstRow = 0; // Integer | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999.
String fromDate = "fromDate_example"; // String | DATETIME. Return only matches dated on or after this date time.
Integer matches = 50000; // Integer | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets.
String throughDate = "throughDate_example"; // String | DATETIME. Return only matches dated before or on this date time.
String destination = "destination_example"; // String | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout -- uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance.
String destinationDirectory = "destinationDirectory_example"; // String | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command.
String destinationHostname = "destinationHostname_example"; // String | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded.
String destinationPassword = "destinationPassword_example"; // String | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded.
String destinationUsername = "destinationUsername_example"; // String | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded.
try {
    InlineResponse20034 result = apiInstance.getReportLogs(username, campaignIds, detail, email, domain, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling Marketing3Api#getReportLogs");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**|  |
 **campaignIds** | **String**| Select campaigns as string of comma-separated campaign ids. If omitted, all campaigns are selected. | [optional]
 **detail** | **String**| Boolean.  If 1, include the values of all Contact Custom Fields in the report. Default is 0. | [optional]
 **email** | **String**| Filter results by matching any Contact email address containing the given string. | [optional]
 **domain** | **String**| Filter results by matching any Contact email address in a domain name containing the given string. | [optional]
 **cookie** | **String**|  | [optional]
 **afterDate** | **String**| DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]
 **beforeDate** | **String**| DATETIME. Return only matches dated before this date time. | [optional]
 **firstRow** | **Integer**| (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] [enum: ]
 **fromDate** | **String**| DATETIME. Return only matches dated on or after this date time. | [optional]
 **matches** | **Integer**| (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] [enum: ]
 **throughDate** | **String**| DATETIME. Return only matches dated before or on this date time. | [optional]
 **destination** | **String**| For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout -- uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]
 **destinationDirectory** | **String**| For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]
 **destinationHostname** | **String**| For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]
 **destinationPassword** | **String**| For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]
 **destinationUsername** | **String**| For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]

### Return type

[**InlineResponse20034**](InlineResponse20034.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getReportOpened"></a>
# **getReportOpened**
> InlineResponse20034 getReportOpened(username, campaignIds, useDate, detail, email, domain, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername)



Return open event data of all selected Campaigns. The open date is used with date matching criteria, unless the \&quot;use_date\&quot; parameter is set to \&quot;sent\&quot;. See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response.](/rest-api/report-responses.html#sm3_campaign_report_opened) {{ACL: User: Marketing - Reporting}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.Marketing3Api;


Marketing3Api apiInstance = new Marketing3Api();
String username = "username_example"; // String | 
String campaignIds = "campaignIds_example"; // String | Select campaigns as string of comma-separated campaign ids. If omitted, all campaigns are selected.
String useDate = "useDate_example"; // String | If set to \"sent\", use the date the message was sent, instead of the date of the open event, for date selections.
String detail = "detail_example"; // String | Boolean.  If 1, include the values of all Contact Custom Fields in the report. Default is 0.
String email = "email_example"; // String | Filter results by matching any Contact email address containing the given string.
String domain = "domain_example"; // String | Filter results by matching any Contact email address in a domain name containing the given string.
String cookie = null; // String (optional. can leave as null) | 
String afterDate = "afterDate_example"; // String | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT
String beforeDate = "beforeDate_example"; // String | DATETIME. Return only matches dated before this date time.
Integer firstRow = 0; // Integer | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999.
String fromDate = "fromDate_example"; // String | DATETIME. Return only matches dated on or after this date time.
Integer matches = 50000; // Integer | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets.
String throughDate = "throughDate_example"; // String | DATETIME. Return only matches dated before or on this date time.
String destination = "destination_example"; // String | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout -- uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance.
String destinationDirectory = "destinationDirectory_example"; // String | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command.
String destinationHostname = "destinationHostname_example"; // String | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded.
String destinationPassword = "destinationPassword_example"; // String | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded.
String destinationUsername = "destinationUsername_example"; // String | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded.
try {
    InlineResponse20034 result = apiInstance.getReportOpened(username, campaignIds, useDate, detail, email, domain, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling Marketing3Api#getReportOpened");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**|  |
 **campaignIds** | **String**| Select campaigns as string of comma-separated campaign ids. If omitted, all campaigns are selected. | [optional]
 **useDate** | **String**| If set to \&quot;sent\&quot;, use the date the message was sent, instead of the date of the open event, for date selections. | [optional]
 **detail** | **String**| Boolean.  If 1, include the values of all Contact Custom Fields in the report. Default is 0. | [optional]
 **email** | **String**| Filter results by matching any Contact email address containing the given string. | [optional]
 **domain** | **String**| Filter results by matching any Contact email address in a domain name containing the given string. | [optional]
 **cookie** | **String**|  | [optional]
 **afterDate** | **String**| DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]
 **beforeDate** | **String**| DATETIME. Return only matches dated before this date time. | [optional]
 **firstRow** | **Integer**| (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] [enum: ]
 **fromDate** | **String**| DATETIME. Return only matches dated on or after this date time. | [optional]
 **matches** | **Integer**| (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] [enum: ]
 **throughDate** | **String**| DATETIME. Return only matches dated before or on this date time. | [optional]
 **destination** | **String**| For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout -- uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]
 **destinationDirectory** | **String**| For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]
 **destinationHostname** | **String**| For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]
 **destinationPassword** | **String**| For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]
 **destinationUsername** | **String**| For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]

### Return type

[**InlineResponse20034**](InlineResponse20034.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getReportUnsubscribed"></a>
# **getReportUnsubscribed**
> InlineResponse20034 getReportUnsubscribed(username, campaignIds, useDate, detail, email, domain, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername)



Return unsubscribe data of all selected Campaigns. The unsubscribe date is used with date matching criteria, unless the \&quot;use_date\&quot; parameter is set to \&quot;sent\&quot;. See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response.](/rest-api/report-responses.html#sm3_campaign_report_unsubscribed) {{ACL: User: Marketing - Reporting}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.Marketing3Api;


Marketing3Api apiInstance = new Marketing3Api();
String username = "username_example"; // String | 
String campaignIds = "campaignIds_example"; // String | Select campaigns as string of comma-separated campaign ids.  If omitted, all campaigns are selected.
String useDate = "useDate_example"; // String | If set to \"sent\", use the date the message was sent, instead of the date of the open event, for date selections.
String detail = "detail_example"; // String | Boolean.  If 1, include the values of all Contact Custom Fields in the report. Default is 0.
String email = "email_example"; // String | Filter results by matching any Contact email address containing the given string.
String domain = "domain_example"; // String | Filter results by matching any Contact email address in a domain name containing the given string.
String cookie = null; // String (optional. can leave as null) | 
String afterDate = "afterDate_example"; // String | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT
String beforeDate = "beforeDate_example"; // String | DATETIME. Return only matches dated before this date time.
Integer firstRow = 0; // Integer | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999.
String fromDate = "fromDate_example"; // String | DATETIME. Return only matches dated on or after this date time.
Integer matches = 50000; // Integer | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets.
String throughDate = "throughDate_example"; // String | DATETIME. Return only matches dated before or on this date time.
String destination = "destination_example"; // String | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout -- uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance.
String destinationDirectory = "destinationDirectory_example"; // String | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command.
String destinationHostname = "destinationHostname_example"; // String | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded.
String destinationPassword = "destinationPassword_example"; // String | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded.
String destinationUsername = "destinationUsername_example"; // String | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded.
try {
    InlineResponse20034 result = apiInstance.getReportUnsubscribed(username, campaignIds, useDate, detail, email, domain, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling Marketing3Api#getReportUnsubscribed");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**|  |
 **campaignIds** | **String**| Select campaigns as string of comma-separated campaign ids.  If omitted, all campaigns are selected. | [optional]
 **useDate** | **String**| If set to \&quot;sent\&quot;, use the date the message was sent, instead of the date of the open event, for date selections. | [optional]
 **detail** | **String**| Boolean.  If 1, include the values of all Contact Custom Fields in the report. Default is 0. | [optional]
 **email** | **String**| Filter results by matching any Contact email address containing the given string. | [optional]
 **domain** | **String**| Filter results by matching any Contact email address in a domain name containing the given string. | [optional]
 **cookie** | **String**|  | [optional]
 **afterDate** | **String**| DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]
 **beforeDate** | **String**| DATETIME. Return only matches dated before this date time. | [optional]
 **firstRow** | **Integer**| (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] [enum: ]
 **fromDate** | **String**| DATETIME. Return only matches dated on or after this date time. | [optional]
 **matches** | **Integer**| (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] [enum: ]
 **throughDate** | **String**| DATETIME. Return only matches dated before or on this date time. | [optional]
 **destination** | **String**| For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout -- uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]
 **destinationDirectory** | **String**| For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]
 **destinationHostname** | **String**| For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]
 **destinationPassword** | **String**| For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]
 **destinationUsername** | **String**| For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]

### Return type

[**InlineResponse20034**](InlineResponse20034.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getReportUrls"></a>
# **getReportUrls**
> InlineResponse20034 getReportUrls(username, campaignIds, useDate, detail, email, domain, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername)



Return clicked-on urls of all selected Campaigns. The click date is used with date matching criteria unless the \&quot;use_date\&quot; parameter is set to \&quot;sent\&quot;.  See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response.](/rest-api/report-responses.html#sm3_campaign_report_urls) {{ACL: User: Marketing - Reporting}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.Marketing3Api;


Marketing3Api apiInstance = new Marketing3Api();
String username = "username_example"; // String | 
String campaignIds = "campaignIds_example"; // String | Select campaigns as string of comma-separated campaign ids.  If omitted, all campaigns are selected.
String useDate = "useDate_example"; // String | If set to \"sent\", use the date the message was sent, instead of the date of the open event, for date selections.
String detail = "detail_example"; // String | Boolean.  If 1, include the values of all Contact Custom Fields in the report. Default is 0.
String email = "email_example"; // String | Filter results by matching any Contact email address containing the given string.
String domain = "domain_example"; // String | Filter results by matching any Contact email address in a domain name containing the given string.
String cookie = null; // String (optional. can leave as null) | 
String afterDate = "afterDate_example"; // String | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT
String beforeDate = "beforeDate_example"; // String | DATETIME. Return only matches dated before this date time.
Integer firstRow = 0; // Integer | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999.
String fromDate = "fromDate_example"; // String | DATETIME. Return only matches dated on or after this date time.
Integer matches = 50000; // Integer | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets.
String throughDate = "throughDate_example"; // String | DATETIME. Return only matches dated before or on this date time.
String destination = "destination_example"; // String | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout -- uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance.
String destinationDirectory = "destinationDirectory_example"; // String | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command.
String destinationHostname = "destinationHostname_example"; // String | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded.
String destinationPassword = "destinationPassword_example"; // String | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded.
String destinationUsername = "destinationUsername_example"; // String | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded.
try {
    InlineResponse20034 result = apiInstance.getReportUrls(username, campaignIds, useDate, detail, email, domain, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling Marketing3Api#getReportUrls");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**|  |
 **campaignIds** | **String**| Select campaigns as string of comma-separated campaign ids.  If omitted, all campaigns are selected. | [optional]
 **useDate** | **String**| If set to \&quot;sent\&quot;, use the date the message was sent, instead of the date of the open event, for date selections. | [optional]
 **detail** | **String**| Boolean.  If 1, include the values of all Contact Custom Fields in the report. Default is 0. | [optional]
 **email** | **String**| Filter results by matching any Contact email address containing the given string. | [optional]
 **domain** | **String**| Filter results by matching any Contact email address in a domain name containing the given string. | [optional]
 **cookie** | **String**|  | [optional]
 **afterDate** | **String**| DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]
 **beforeDate** | **String**| DATETIME. Return only matches dated before this date time. | [optional]
 **firstRow** | **Integer**| (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] [enum: ]
 **fromDate** | **String**| DATETIME. Return only matches dated on or after this date time. | [optional]
 **matches** | **Integer**| (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] [enum: ]
 **throughDate** | **String**| DATETIME. Return only matches dated before or on this date time. | [optional]
 **destination** | **String**| For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout -- uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]
 **destinationDirectory** | **String**| For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]
 **destinationHostname** | **String**| For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]
 **destinationPassword** | **String**| For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]
 **destinationUsername** | **String**| For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]

### Return type

[**InlineResponse20034**](InlineResponse20034.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="updateCampaign"></a>
# **updateCampaign**
> InlineResponse201 updateCampaign(username, campaignId, body, cookie)



Update information for existing Campaign. {{ACL: Marketing - Campaign Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.Marketing3Api;


Marketing3Api apiInstance = new Marketing3Api();
String username = "username_example"; // String | 
String campaignId = "campaignId_example"; // String | Campaign Id.
SM3CampaignPUTBody body = new SM3CampaignPUTBody(); // SM3CampaignPUTBody | 
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse201 result = apiInstance.updateCampaign(username, campaignId, body, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling Marketing3Api#updateCampaign");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**|  |
 **campaignId** | **String**| Campaign Id. |
 **body** | [**SM3CampaignPUTBody**](SM3CampaignPUTBody.md)|  | [optional]
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="updateContact"></a>
# **updateContact**
> InlineResponse201 updateContact(body, username, contactId, cookie)



Update information for existing Contact such as E-mail address or custom fields attached to the parent List. {{ACL: Marketing - Contact Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.Marketing3Api;


Marketing3Api apiInstance = new Marketing3Api();
Map<String, String> body = new Map(); // Map<String, String> | A JSON object containing Contact properties.
String username = "username_example"; // String | 
String contactId = "contactId_example"; // String | Contact Id.
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse201 result = apiInstance.updateContact(body, username, contactId, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling Marketing3Api#updateContact");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**Map&lt;String, String&gt;**](Map.md)| A JSON object containing Contact properties. |
 **username** | **String**|  |
 **contactId** | **String**| Contact Id. |
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="updateList"></a>
# **updateList**
> InlineResponse201 updateList(body, username, id, cookie)



Update information for existing Contact Lists such as From Name or From Address. This can also be used to assign custom fields to specific lists, but the custom field must exist in the platform in advance. Return contact information and other general metadata for the user. {{ACL: Marketing - List Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.Marketing3Api;


Marketing3Api apiInstance = new Marketing3Api();
SM3ListBody body = new SM3ListBody(); // SM3ListBody | A JSON object containing List properties.
String username = "username_example"; // String | 
String id = "id_example"; // String | List Id.
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse201 result = apiInstance.updateList(body, username, id, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling Marketing3Api#updateList");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**SM3ListBody**](SM3ListBody.md)| A JSON object containing List properties. |
 **username** | **String**|  |
 **id** | **String**| List Id. |
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="updateListGroup"></a>
# **updateListGroup**
> InlineResponse2003 updateListGroup(username, listGroupId, body, cookie)



Update the List Group name. {{ACL: Marketing - List Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.Marketing3Api;


Marketing3Api apiInstance = new Marketing3Api();
String username = "username_example"; // String | 
String listGroupId = "listGroupId_example"; // String | Unique Id for this list group.
ListGroupListGroupIdBody1 body = new ListGroupListGroupIdBody1(); // ListGroupListGroupIdBody1 | 
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse2003 result = apiInstance.updateListGroup(username, listGroupId, body, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling Marketing3Api#updateListGroup");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**|  |
 **listGroupId** | **String**| Unique Id for this list group. |
 **body** | [**ListGroupListGroupIdBody1**](ListGroupListGroupIdBody1.md)|  | [optional]
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse2003**](InlineResponse2003.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

